> For the complete documentation index, see [llms.txt](https://docs.stacks.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stacks.co/cookbook/stacks.js/token-transfers/transfer-a-sip10-token.md).

# Transfer a SIP10 token

{% code fullWidth="false" expandable="true" %}

```typescript
import {
  broadcastTransaction,
  Cl,
  makeContractCall,
  Pc,
  PostConditionMode,
} from "@stacks/transactions";

// Token contract details
const tokenAddress = "SP3K8BC0PPEVCV7NZ6QSRWPQ2JE9E5B6N3PA0KBR9";
const tokenName = "wrapped-bitcoin";
const contractIdentifier = `${tokenAddress}.${tokenName}`;

// Create post-condition to ensure exact amount is transferred
const postConditions = [
  Pc.principal("SP2C20XGZBAYFZ1NYNHT1J6MGBGVX9X7X3P7LAX7K")
    .willSendEq(100000000) // 1 wBTC (8 decimals)
    .ft(contractIdentifier, tokenName)
];

const txOptions = {
  contractAddress: tokenAddress,
  contractName: tokenName,
  functionName: "transfer",
  functionArgs: [
    Cl.uint(100000000), // amount (with decimals)
    Cl.principal("SP2C20XGZBAYFZ1NYNHT1J6MGBGVX9X7X3P7LAX7K"), // sender
    Cl.principal("SP31DA84DWTF6510EW6DCTC3GB3XH1EEBGP7MYT2"), // recipient
    Cl.none(), // optional memo
  ],
  senderKey: "753b7cc01a1a2e86221266a154af739463fce51219d97e4f856cd7200c3bd2a601",
  validateWithAbi: true,
  network: 'mainnet,
  postConditions,
  postConditionMode: PostConditionMode.Deny,
};

const transaction = await makeContractCall(txOptions);
const broadcastResponse = await broadcastTransaction({ 
  transaction,
  network: STACKS_MAINNET,
});

console.log("Transaction ID:", broadcastResponse.txid);
```

{% endcode %}

### Description

Transfer fungible tokens using the SIP-10 standard with post-conditions

### Use Cases

* Transferring fungible tokens between wallets
* Integrating token transfers in dApps
* Building DEX or swap functionality
* Implementing payment systems with custom tokens

### Key Concepts

* **Standard interface** - All SIP-10 tokens implement `transfer`, `get-balance`, etc.
* **Post-conditions** - Protect users by ensuring exact amounts are transferred
* **Memos** - Optional field for including transfer notes
* SIP-10 is the fungible token standard on Stacks, similar to ERC-20


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.stacks.co/cookbook/stacks.js/token-transfers/transfer-a-sip10-token.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
